Find all the projects to which a user belongs
GET
/api/v1/projects
const url = 'https://example.com/api/v1/projects?limit=1&offset=1&order_by=example&order_by_direction=ASC&company=example&id=example&name=example&project_status=%5B%22example%22%5D&project_type=%5B%22example%22%5D';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/projects?limit=1&offset=1&order_by=example&order_by_direction=ASC&company=example&id=example&name=example&project_status=%5B%22example%22%5D&project_type=%5B%22example%22%5D' \ --header 'Authorization: Bearer <token>'Find all the projects to which a user belongs. If the user is a superuser, that’s all the projects
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”pagination
required
object
limit
number format: int64
offset
number format: int64
order_by
string
order_by_direction
string
filters
required
object
company
string
id
string
name
string
project_status
required
Array<string>
project_type
required
Array<string>
Responses
Section titled “Responses”default
Section titled “default”On success
Media typeapplication/json
object
code
required
number format: int32
data
required
Array<object>
object
account_manager
required
object
email
required
string
family_name
required
string
given_name
required
string
id
required
string
additional_access_grants
required
Array<object>
object
grant
required
string
role
required
string
allowed_device_types
required
Array<string>
allowed_workload_types
required
Array<string>
company
required
string
count
required
object
ACTIVE_ADMIN
required
number format: int64
ACTIVE_MEMBER
required
number format: int64
PENDING
required
number format: int64
created_at
required
string format: date-time
description
required
string
email_domain
required
string
id
required
Array<number>
last_activity_date
required
string format: date-time
main_admin
required
object
email
required
string
family_name
required
string
given_name
required
string
id
required
string
max_concurrent_job
required
number format: int32
name
required
string
package
required
string
project_status
required
string
project_type
required
string
queue_priority
required
string
updated_at
required
string format: date-time
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{ "code": "200", "data": [ { "additional_access_grants": [ { "role": "ADMIN" } ], "id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6" } ], "message": "success", "status": "OK"}